Zernio
Zernio
API Reference

Queue

List schedulesGETCreate schedulePOSTGet next available slotGETUpdate schedulePUTDelete scheduleDELETEPreview upcoming slotsGET
Dashboard
llms.txtOpenAPI
OverviewPlatformsAPI ReferenceResources
Queue

Delete schedule

Delete a queue from a profile. Pass queueId to delete a specific queue; omit it to delete all queues for the profile. If deleting the default queue, another queue will be promoted to default.


DELETE
/v1/queue/slots

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication: send your Zernio API key in the Authorization header, prefixed with Bearer.

In: header

Query Parameters

profileId*string
queueId?string

Queue ID to delete. Omit to delete all queues for the profile

Response Body

application/json

application/json

{  "success": true,  "deleted": true}
Was this page helpful?

Update schedule

Create a new queue or update an existing one. Without queueId, creates/updates the default queue. With queueId, updates a specific queue. With setAsDefault=true, makes this queue the default for the profile.

Preview upcoming slots

Returns the next N upcoming queue slot times for a profile as ISO datetime strings.